// General modal
.modal-open,
.modal-open-fix,
.modal-open-media-fix,
.modal-open-fix-add-new-sidebarright {
  overflow: hidden !important;
}

.fadeInRight {
  transition-duration: 0.3s !important;
  -webkit-animation-duration: 0.3s !important;
}

.s--modal-filer {
  .modal-dialog {
    float: none !important;
    margin: 1.75rem auto !important;
    height: auto !important;
    max-width: 500px !important;
  }

  background-color: rgba(0, 0, 0, 0.2);
}

.s--modal-view-diagram-tree-type {
  .modal-dialog {
    float: none !important;
    margin: 1.75rem auto !important;
    height: auto !important;
    max-width: 1000px !important;

    .modal-body {
      max-height: calc(100vh - 65px - 3.5rem);
      overflow: auto;
    }
  }

  background-color: rgba(0, 0, 0, 0.2);
}

.modal {
  .modal-dialog {
    @include mediaQueryMax(768px) {
      margin: 20px auto;
      width: calc(100% - 20px) !important;
    }
  }

  .modal-content {

    .modal-header,
    .modal-body,
    .modal-footer {
      padding: 20px;
      position: relative;
    }

    .close {
      margin: 0;
      position: absolute;
      padding: 0;
      width: 16px;
      height: 16px;
      right: 15px;
      top: 50%;
      line-height: 16px;
      transform: translateY(-50%);
    }
  }

  .v-select .selected-tag .close {
    margin: 0;
    position: static;
    padding: 0;
    width: auto;
    height: auto;
    right: auto;
    top: auto;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  .ql-snow .ql-tooltip {
    left: auto !important;
  }
}

.modal-backdrop.show {
  opacity: .2;
  transition: all 0s ease-in-out;
}

.s--modal {
  &.s--modal-full {
    .modal-dialog {
      margin: 0;
      width: 100%;
      height: 100vh;
      max-width: 100%;

      @include mediaQueryMax(768px) {
        width: calc(100%) !important;
      }

      .modal-content {
        height: 100vh;
      }
    }
  }

  .modal-dialog {
    width: 100%;
    max-width: 400px;

    .modal-content {
      .modal-header {
        //display: block;
        //padding: 20px;
        position: relative;
        background-image: linear-gradient(to right, #B82E45, #7D438E);
        height: 60px;
        display: flex;
        align-items: center;
        padding: 20px;
        border-radius: 0;

        .modal-title {
          //font-size: 16px;
          font-size: 1.75rem;
          color: #fff;

          @media(max-width: 375px) {
            font-size: 1.25rem !important;
          }

          i {
            margin-right: 10px;
          }
        }

        .close {
          margin: 0;
          position: absolute;
          padding: 0;
          width: 16px;
          height: 16px;
          right: 20px;
          top: 50%;
          line-height: 16px;
          transform: translateY(-50%);
          color: #fff;

          &:before {
            font-family: 'nothan_iconV10' !important;
            speak: none;
            font-style: normal;
            font-weight: normal;
            font-variant: normal;
            text-transform: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            content: "\ea1e";
          }
        }
      }

      .modal-body {
        padding: 20px;
        overflow-y: auto;
      }

      .modal-footer {
        padding: 20px;

        background: #F8F8FB;
      }
    }
  }
}

.s--modal--1100 .modal-dialog {
  max-width: 1100px;
}

.s--modal-right {
  padding: 0 !important;

  .modal-dialog {
    float: right;
    margin: auto;
    height: 100%;

    @include mediaQueryMax(768px) {
      width: 100% !important;
    }
  }

  .modal-content {
    border-radius: inherit;
    height: 100%;

    .modal-body {
      height: calc(100% - 65px - 78.5px);
    }
  }
}

.s--modal-center {
  .modal-dialog {
    height: calc(100% - 40px);
    margin: 20px auto;

    .modal-content {
      border-radius: inherit;
      height: 100%;

      .modal-body {
        height: calc(100% - 65px - 78.5px);
        overflow-y: auto;
      }
    }
  }
}

.s--modal-confirm {
  .modal-content {
    .modal-body {
      position: relative;

      .close {
        position: absolute;
        top: 20px;
        right: 20px;
      }

      .message {
        padding: 20px;
        font-size: 16px;
      }
    }
  }
}


.nt--modal-confirm {
  .popup-title {
    text-align: center;
    margin: 0 auto;
    padding: 35px 0 5px;
    color: #333333;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 500;
    margin-bottom: 10px;
    width: 100%;
  }

  .popup-desc {
    text-align: center;
    margin: auto;
    font-size: 14px;
    color: #333333;
    width: 100%;

    p {
      color: #f00000;
    }
  }

  .popup-btn button {
    margin: 20px auto;
    background: #FF8A00;
    color: #ffffff;
  }

  .nt-popup-title-top {
    font-size: 16px;
    color: #444F78;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
  }

  .nt-popup-title-bottom {
    font-size: 24px;
    color: #444F78;
    text-align: center;
    font-weight: 400;
  }

  .modal-footer {
    background: #F8F8FB;
  }
}

.s--modal-info {
  .modal-body {
    position: relative;
    min-width: 400px;
    min-height: 180px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;

    .close {
      padding: 0;
      top: 10px;
      right: 10px;
      position: absolute;
    }

    .s--modal-message {
      .s--modal-heading {
        font-size: 16px;
        font-weight: normal;
      }

      .s--modal-icon {
        text-align: center;
        margin-bottom: 10px;

        i {
          font-size: 40px;
          font-weight: bold;
        }
      }
    }

    .s--modal-action {
      padding-left: 0;
      list-style: none;
    }
  }
}

.s--modal-add-action-campaign {
  &.show {
    background-color: rgba(0, 0, 0, 0.2);
  }

  .modal-dialog {
    margin: 1.75rem auto;
    height: auto;
    max-height: calc(100% - 3.5rem);
    float: none;
    max-width: 500px !important;
  }
}

.nt-modal-center {
  .modal-dialog {
    max-width: 600px;
  }
}

.nt-alert {
  padding: 15px 20px !important;
  border: 1px solid #D9DDE8 !important;
  border-radius: 4px;
  font-size: 14px;
  line-height: 21px;
  border-bottom: 1px solid #D9DDE8 !important;

  &.nt-alert-secondary {
    color: #444F78;
    background-color: #F8F8FB;
  }
}

.nt-modal-full-page-change-header {
  z-index: 10 !important;
}

.nt-modal-full-page {
  position: absolute;
  height: 100vh;
  width: 100%;
  background-color: #fff;
  top: 0;
  z-index: 11;

  .nt-modal-full-page-head {
    position: relative;
    background-image: -webkit-gradient(linear, left top, right top, from(#B82E45), to(#7D438E));
    background-image: linear-gradient(to right, #B82E45, #7D438E);
    height: 60px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-radius: 0;
    line-height: 60px;
    padding: 0 20px;

    .nt-modal-full-page-head-title {
      font-size: 1.75rem;
      color: #fff;

      i {
        margin-right: 10px;
      }
    }
  }

  .nt-modal-full-page-body {
    padding: 20px;
    height: calc(100% - 60px - 86px);
    overflow-y: auto;
  }

  .nt-modal-full-page-footer {
    padding: 20px;
    background-color: #F8F8FB;
    display: flex;
    justify-content: flex-end;
  }
}